# $Revision: 1.22 $, $Date: 2011/09/13 16:20:23 $
Summary:	Documentation Utilities
Summary(pl.UTF-8):	Narzędzia do tworzenia dokumentacji
Name:		docutils
Version:	0.8.1
Release:	1
License:	Public Domain, BSD, GPL (see COPYING.txt)
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/docutils/%{name}-%{version}.tar.gz
# Source0-md5:	2ecf8ba3ece1be1ed666150a80c838c8
URL:		http://docutils.sourceforge.net/
BuildRequires:	python-devel >= 2.3
BuildRequires:	python3-2to3 >= 3.2
BuildRequires:	python3-devel >= 3.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-%{name} = %{version}-%{release}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for general- and special-purpose documentation, including
autodocumentation of Python modules. Includes reStructuredText, the
easy to read, easy to use, what-you-see-is-what-you-get plaintext
markup language.

%description -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

%package -n python-%{name}
Summary:        Text documents processing modules for Python 2.x
Summary(pl.UTF-8):      Moduły Pythona 2.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python
%pyrequires_eq	python-libs

%description -n python-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 2.

%description -n python-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 2.

%package -n python3-%{name}
Summary:        Text documents processing modules for Python 3.x
Summary(pl.UTF-8):      Moduły Pythona 3.x do przetwarzania dokumentów tekstowych
Group:          Development/Languages/Python

%description -n python3-%{name}
Docutils are utilities for general- and special-purpose documentation,
including autodocumentation of Python modules. Includes
reStructuredText, the easy to read, easy to use,
what-you-see-is-what-you-get plaintext markup language.

This package provides the Docutils modules for Python 3.

%description -n python3-%{name} -l pl.UTF-8
Narzędzia do dokumentowania ogólnego i specjalnego zastosowania, w tym
autodokumentacji modułów Pythona. Zawierają reStructuredText - łatwy
do odczytania, łatwy w użyciu język opisu tekstu typu WYSIWYG.

Ten pakiet dostarcza moduły Docutils dla Pythona 3.

%prep
%setup -q

%build
%{__python} setup.py config build -b build-2
%{__python3} setup.py config build -b build-3

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py build -b build-2 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	mv "${f}" "${f%.py}"
done

%{__python3} setup.py build -b build-3 install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

for f in $RPM_BUILD_ROOT%{_bindir}/*.py ; do
	mv "${f}" "${f%.py}-3"
done

install extras/roman.py $RPM_BUILD_ROOT%{py_sitescriptdir}
install extras/roman.py $RPM_BUILD_ROOT%{py3_sitescriptdir}
2to3-3.2 -n -w $RPM_BUILD_ROOT%{py3_sitescriptdir}/roman.py
# clean some 2to3 leftovers
%{__rm} -r $RPM_BUILD_ROOT%{py3_sitescriptdir}/{test,tools}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc PKG-INFO *.txt docs
%attr(755,root,root) %{_bindir}/rst2html
%attr(755,root,root) %{_bindir}/rst2latex
%attr(755,root,root) %{_bindir}/rst2man
%attr(755,root,root) %{_bindir}/rst2odt
%attr(755,root,root) %{_bindir}/rst2odt_prepstyles
%attr(755,root,root) %{_bindir}/rst2pseudoxml
%attr(755,root,root) %{_bindir}/rst2s5
%attr(755,root,root) %{_bindir}/rst2xetex
%attr(755,root,root) %{_bindir}/rst2xml
%attr(755,root,root) %{_bindir}/rstpep2html

%files -n python-%{name}
%defattr(644,root,root,755)
%{py_sitescriptdir}/roman.py[oc]
%{py_sitescriptdir}/docutils
%{py_sitescriptdir}/docutils-%{version}-py*.egg-info

%files -n python3-%{name}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/roman.py
%{py3_sitescriptdir}/__pycache__/roman.cpython-*.py[co]
%{py3_sitescriptdir}/docutils
%{py3_sitescriptdir}/docutils-%{version}-py*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docutils.spec,v $
Revision 1.22  2011/09/13 16:20:23  qboosh
- updated to 0.8.1

Revision 1.21  2011/08/18 16:15:02  qboosh
- partial files cleanup

Revision 1.20  2011/08/17 19:13:25  qboosh
- unified Source0 URL
- polished pl
- python3 modules should not require python 2 libs
- versioned python BRs

Revision 1.19  2011/08/08 19:13:13  wrobell
- convert roman.py module to python 3

Revision 1.18  2011/07/23 06:58:21  qboosh
- fixed build, no duplicate package names
- note python version in python*-docutils descs

Revision 1.17  2011/07/20 20:20:43  wrobell
- ver. 0.8
- started adding python 3 subpackages (nfy)

Revision 1.16  2011/02/04 23:06:23  sparky
- %description: first always put -l after -n

Revision 1.15  2010/10/21 11:28:00  caleb
- Up to 0.7

Revision 1.14  2010/07/09 10:09:19  arekm
- release 3

Revision 1.13  2010/04/07 16:49:56  jajcus
- '.py' suffix removed from %{_bindir} scripts. That worked well enough in
  the python-docutils.spec

Revision 1.12  2010/04/07 16:37:31  jajcus
- python-docutils package added
- Release: 2

Revision 1.11  2009/10/14 16:00:13  adamg
- updated to 0.6

Revision 1.10  2008/10/03 17:42:17  arekm
- release 2

Revision 1.9  2008/06/26 16:56:11  adamg
- updated to 0.5

Revision 1.8  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.6  2006/03/03 15:29:27  heretyk
- updated to 0.4

Revision 1.5  2005/10/22 15:31:46  heretyk
- added missing modules and additional rst2* tools

Revision 1.4  2005/05/30 10:53:30  radzio
 - 0.3.9

Revision 1.3  2005/01/09 18:31:00  saq
- missing pyreqeq, rel 2

Revision 1.2  2004/12/25 00:09:58  adamg
- updated to 0.3.7

Revision 1.1  2004/11/17 11:54:40  undefine
- initital version
